# Constant Field Values

## Contents

- org.astrogrid.*

## org.astrogrid.*

org.astrogrid.samp.ErrInfo
Modifier and Type
Constant Field
Value
`public static final String`
`CODE_KEY`
`"samp.code"`
`public static final String`
`DEBUGTXT_KEY`
`"samp.debugtxt"`
`public static final String`
`ERRORTXT_KEY`
`"samp.errortxt"`
`public static final String`
`USERTXT_KEY`
`"samp.usertxt"`
org.astrogrid.samp.Message
Modifier and Type
Constant Field
Value
`public static final String`
`MTYPE_KEY`
`"samp.mtype"`
`public static final String`
`PARAMS_KEY`
`"samp.params"`
org.astrogrid.samp.Metadata
Modifier and Type
Constant Field
Value
`public static final String`
`DESCHTML_KEY`
`"samp.description.html"`
`public static final String`
`DESCTEXT_KEY`
`"samp.description.text"`
`public static final String`
`DOCURL_KEY`
`"samp.documentation.url"`
`public static final String`
`ICONURL_KEY`
`"samp.icon.url"`
`public static final String`
`NAME_KEY`
`"samp.name"`
org.astrogrid.samp.RegInfo
Modifier and Type
Constant Field
Value
`public static final String`
`HUBID_KEY`
`"samp.hub-id"`
`public static final String`
`PRIVATEKEY_KEY`
`"samp.private-key"`
`public static final String`
`SELFID_KEY`
`"samp.self-id"`
org.astrogrid.samp.Response
Modifier and Type
Constant Field
Value
`public static final String`
`ERROR_KEY`
`"samp.error"`
`public static final String`
`ERROR_STATUS`
`"samp.error"`
`public static final String`
`OK_STATUS`
`"samp.ok"`
`public static final String`
`RESULT_KEY`
`"samp.result"`
`public static final String`
`STATUS_KEY`
`"samp.status"`
`public static final String`
`WARNING_STATUS`
`"samp.warning"`
org.astrogrid.samp.SampUtils
Modifier and Type
Constant Field
Value
`public static final String`
`LOCALHOST_PROP`
`"jsamp.localhost"`
org.astrogrid.samp.ShutdownManager
Modifier and Type
Constant Field
Value
`public static final int`
`CLIENT_SEQUENCE`
`100`
`public static final int`
`HUB_SEQUENCE`
`200`
`public static final int`
`PREPARE_SEQUENCE`
`0`

org.astrogrid.samp.client.DefaultClientProfile
Modifier and Type
Constant Field
Value
`public static final String`
`HUBLOC_CLASS_PREFIX`
`"jsamp-class:"`
`public static final String`
`HUBLOC_ENV`
`"SAMP_HUB"`

org.astrogrid.samp.gui.SendActionManager
Modifier and Type
Constant Field
Value
`public static final String`
`BROADCAST_TARGET`
`"All Clients"`
org.astrogrid.samp.gui.SysTray
Modifier and Type
Constant Field
Value
`public static final String`
`NOTRAY_PROP`
`"jsamp.nosystray"`

org.astrogrid.samp.httpd.HttpServer
Modifier and Type
Constant Field
Value
`public static final String`
`HDR_CONTENT_TYPE`
`"Content-Type"`
`public static final int`
`STATUS_OK`
`200`
org.astrogrid.samp.httpd.UtilServer
Modifier and Type
Constant Field
Value
`public static final String`
`PORT_PROP`
`"jsamp.server.port"`

org.astrogrid.samp.hub.Hub
Modifier and Type
Constant Field
Value
`public static final String`
`EXTRAHUBPROFILES_PROP`
`"jsamp.hub.profiles.extra"`
`public static final String`
`HUBPROFILES_PROP`
`"jsamp.hub.profiles"`

org.astrogrid.samp.web.CorsHttpServer
Modifier and Type
Constant Field
Value
`public static final String`
`EXTRAHOSTS_PROP`
`"jsamp.web.extrahosts"`
org.astrogrid.samp.web.ListMessageRestriction
Modifier and Type
Constant Field
Value
`public static final String`
`SAFE_MTYPE_PROP`
`"jsamp.mtypes.safe"`
org.astrogrid.samp.web.WebClientProfile
Modifier and Type
Constant Field
Value
`public static final String`
`URLTRANS_KEY`
`"samp.url-translator"`
`public static final String`
`WEBPROFILE_HUB_PREFIX`
`"web-appname:"`
`public static final String`
`WEBSAMP_CLIENT_PREFIX`
`""`
`public static final String`
`WEBSAMP_HUB_PREFIX`
`"samp.webhub."`
`public static final String`
`WEBSAMP_PATH`
`"/"`
`public static final int`
`WEBSAMP_PORT`
`21012`
org.astrogrid.samp.web.WebCredentialPresenter
Modifier and Type
Constant Field
Value
`public static final String`
`ORIGIN_HDR`
`"Origin"`
`public static final String`
`REFERER_HDR`
`"Referer"`

org.astrogrid.samp.xmlrpc.LockInfo
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_VERSION_VALUE`
`"1.3"`
`public static final String`
`SECRET_KEY`
`"samp.secret"`
`public static final String`
`VERSION_KEY`
`"samp.profile.version"`
`public static final String`
`XMLRPCURL_KEY`
`"samp.hub.xmlrpc.url"`
org.astrogrid.samp.xmlrpc.StandardClientProfile
Modifier and Type
Constant Field
Value
`public static final String`
`LOCKFILE_NAME`
`".samp"`
`public static final String`
`STDPROFILE_HUB_PREFIX`
`"std-lockurl:"`
org.astrogrid.samp.xmlrpc.XmlRpcKit
Modifier and Type
Constant Field
Value
`public static final String`
`IMPL_PROP`
`"jsamp.xmlrpc.impl"`